Package org.apache.lucene.benchmark.byTask.feeds

## Class NoMoreDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.lucene.benchmark.byTask.feeds.NoMoreDataException

- All Implemented Interfaces:
    `Serializable`

      public class NoMoreDataException
      extends Exception

  Exception indicating there is no more data. Thrown by Docs Makers if content.source.forever is false and docs sources of that maker where exhausted. This is useful for iterating all document of a source, in case we don't know in advance how many docs there are.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoMoreDataException()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoMoreDataException

          public NoMoreDataException()